
package org.sky.scientific.service;

import org.sky.scientific.pojo.entity.DepartmentEntity;

import java.util.List;

/**
 * 二级单位/部门 服务类
 *
 * @author Kd
 * @since 2025-08-14
 */
public interface IDepartmentService  {

	/**
	 * 获取上一年度数据
	 *
	 * @param enterpriseInfo
	 * @return
	 */
	Boolean fetchLastYearData(DepartmentEntity department);

	/**
	 * 新增或修改
	 *
	 * @param department
	 * @return
	 */
	boolean submit(DepartmentEntity department);

	List<DepartmentEntity> selectDepartmentList(String yearAndMonth);

	boolean deleteByIds(List<Long> ids);
}
